#pragma once
#include <Arduino.h>

/**
 * @brief Zakodovani retezce.
 * 
 * @param str Reference na retezec.
 */
void strEncode(String &str);

/**
 * @brief Dekodovani retezce.
 * 
 * @param str Reference na retezec.
 */
void strDecode(String &str);

/**
 * @brief Overeni, ze je retezec Base64
 * 
 * @param p Ukazatel na retezec
 * @return true Retezec je kodovany pomoci Base64
 * @return false Retezec neni kodovany pomoci Base64
 */
bool isBase64(const char *p);
